# Uses of Interface
org.springframework.web.context.request.async.AsyncWebRequest

Packages that use AsyncWebRequest
Package
Description
org.springframework.web.context.request.async
Support for asynchronous request processing.

## Uses of AsyncWebRequest in org.springframework.web.context.request.async

Classes in org.springframework.web.context.request.async that implement AsyncWebRequest
Modifier and Type
Class
Description
`class`
`StandardServletAsyncWebRequest`
A Servlet implementation of `AsyncWebRequest`.
Methods in org.springframework.web.context.request.async that return AsyncWebRequest
Modifier and Type
Method
Description
`static AsyncWebRequest`
WebAsyncUtils.`createAsyncWebRequest(HttpServletRequest request, HttpServletResponse response)`
Create an AsyncWebRequest instance.
`AsyncWebRequest`
WebAsyncManager.`getAsyncWebRequest()`
Return the current `AsyncWebRequest`.
Methods in org.springframework.web.context.request.async with parameters of type AsyncWebRequest
Modifier and Type
Method
Description
`void`
WebAsyncManager.`setAsyncWebRequest(AsyncWebRequest asyncWebRequest)`
Configure the `AsyncWebRequest` to use.